<%@ Page Language="C#" AutoEventWireup="true" %>
<%@ Import namespace="System.Xml" %>
<%@ Import namespace="Tridion.Extensions" %>
<%
// what is the maximum default total of items that are allowed in the queue
int defaultMaxItems = 100;
// what is the default queue to be looked at
string defaultQueue = "1";
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head><title></title></head>
<body>  
<%     
    // get the queue id for the Filter
    string queue = defaultQueue;
    if (Request.QueryString["queue"] != null)
        queue = Request.QueryString["queue"];

    // get the maximum amount of items that should be on the queue
    int maxItems = defaultMaxItems;
    if (Request.QueryString["max"] != null)
        maxItems = Convert.ToInt32(Request.QueryString["max"]);
    
    TridionPublishQueue tpq = new TridionPublishQueue(Request, queue);
    if (tpq.GetQueueState(maxItems))
    {                        
        %>Queue Monitoring: Success<%
    }
    else
    {
       %>Error, number of items in the queue exceeds limit. Queue is now at: <%=tpq.GetQueueLength()%> of a max of <%=maxItems%> items.<%
    }                             
                                 
    queue = null;
    defaultQueue = null;
    maxItems = 0;
    defaultMaxItems = 0;
%>
</body>
</html>